
Redmine - Defect #13669

Sorting forum message list by "Last message" (="updated_on") does not work correctly

2013-04-03 01:41 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

I noticed this bug on the official Redmine forum itself, in particular on

 http://www.redmine.org/projects/redmine/boards/4?sort=updated_on%3Adesc

I.e. I am asking it to show me the messages according to the date they were last updated, in descending order. This way, the most

recently message should be displayed first (well, except for sticky messages). But this does not work correctly. E.g. right now, it

shows me

 http://www.redmine.org/boards/4/topics/37123

in position three, that message was last updated 6 days ago (2013-03-27).

At position 6 of the list, there is

 http://www.redmine.org/boards/4/topics/36894

which was lasted updated 17 days ago (2013-03-17).

And then it has in position 11

 http://www.redmine.org/boards/4/topics/36492

which was lasted updated 5 days ago (2013-03-28)

Clearly something is wrong. Note that there are many more similar examples.

Related issues:

Is duplicate of Redmine - Defect #12243: Ordering forum replies by last reply... Closed

History

#1 - 2013-04-03 10:44 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Dupe of #12243, not yet fixed in redmine.org.

#2 - 2013-04-03 11:11 - Anonymous

But #12243 is closed, while the problem is still present. So it seems a bit odd to me that this issue now is getting closed. Shouldn't it be kept open

(possible renamed to something like "sorting redmine.org forums by 'last updated' date is broken" until the actual issue is resolved on redmine.org,

too? Ideally, resolution would not just mean "we wait until all messages visible on the first page of the forum overview are sorted"), but rather would

also cover fixing the updated_on column for older messages. This should be doable, as all the information can be recovered from the messages in

each thread, shouldn't it? So I guess a relatively simple script should do it, and I am sure other redmine admins would love to have such a script, too,

in order to fix their incorrect data in the repository, too.

#3 - 2013-04-03 11:40 - Etienne Massip

There is no incorrect data persisted; the sort is based directly on messages data and was failing before being fixed for 2.2.4.

Redmine.org has a lightly specific upgrade policy and does not have this fix included yet.

#4 - 2013-04-03 18:01 - Anonymous

Aha, now I see. Thank you very much for taking the time to explain, Etienne!
